<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:annotation>
		<xs:documentation>
			Схема для XML документа, описывающего документ описи. Данный объект генерируется и подписывается СЭД
			Далее этот документ, его подпись и время подписания передаются через веб-сервис в АИС «Ведомственный архив».
			через метод SaveAcceptanceInventory в следующих тегах:
			1. Document - Base64 XML документа, описывающий сущность описи, в соответствии с данной схемой
			2. Signature - MIME Base64 подписи
			3. SignatureTime - время подпписания документа
		</xs:documentation>
	</xs:annotation>
	<xs:element name="Inventory" type="inventoryDocument">
		<xs:annotation>
			<xs:documentation>Описи дел. Содержит в себе все необходимые данные об описях электронных дел
			</xs:documentation>
		</xs:annotation>
	</xs:element>
	<xs:complexType name="inventoryDocument">
		<xs:annotation>
			<xs:documentation>Группирующий элемент для элементов с метаданными описи электронных дел.</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="StoreAttribute" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Признак хранения
						Указывается одно из перечисленных значений:
						PERMANENT – постоянное хранение;
						TEMPORARY – временное хранение (>10 лет);
						END_OF_NEED – временное хранение (≤10 лет);
						BY_STAFF – по личному составу.
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="PERMANENT"/>
						<xs:enumeration value="BY_STAFF"/>
						<xs:enumeration value="TEMPORARY"/>
						<xs:enumeration value="END_OF_NEED"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Title" minOccurs="1">
				<xs:annotation>
					<xs:documentation>Заголовок описи.</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:minLength value="1"/>
						<xs:maxLength value="500"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="InDescription" minOccurs="0" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Описание описи</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="500"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Index" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Номер описи.
						Содержит не более 150 символов.
					</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:minLength value="1"/>
						<xs:maxLength value="150"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="FundNumber" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Номер фонда</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:integer">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="NumberKeeping" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Количество дел в описи. Минималькое значение 1</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:integer">
						<xs:minInclusive value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="ListItems" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>
						Группирующий элемент для архивных дел. Содержит в себе вложенные теги XML -документа для дела    </xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="ArchiveKeeping" type="inventoryDocumentArchiveKeeping" minOccurs="1" maxOccurs="unbounded">
							<xs:annotation>
								<xs:documentation>
									Группирующий элемент для сущности архивное дел.
									Содержит в себе вложенные теги с метаданными дела
								</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="inventoryDocumentArchiveKeeping">
		<xs:annotation>
			<xs:documentation>
				Группирующий элемент для xml документов, представляющих собой архивное дел.
			</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element form="qualified" name="Document" type="xs:base64Binary" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Base64 от xml документа описывающего дело</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element form="qualified" name="Hash" type="xs:string" minOccurs="1" maxOccurs="1">
				<xs:annotation>
					<xs:documentation>Контрольная характеристика дела. Хэш от xml представления дела</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>